//
// From SwiftUI by Example by Paul Hudson
// https://www.hackingwithswift.com/quick-start/swiftui
//
// You're welcome to use this code for any purpose,
// commercial or otherwise, with or without attribution.
//

import SwiftUI

struct ContentView: View {
    @State private var bio = "Describe yourself."
    @State private var isShowingFindNavigator = false

    var body: some View {
        NavigationStack {
            TextEditor(text: $bio)
                .findNavigator(isPresented: $isShowingFindNavigator)
                .toolbar {
                    Button("Toggle Search") {
                        isShowingFindNavigator.toggle()
                    }
                }
                .navigationTitle("Edit Bio")
        }
    }
}